Arbor 3: FSM & BT Graph Editor 3.6.8

Public Member Functions | Public Attributes | Properties | List of all members
DataSlotField Class Reference

DataSlotのField情報 More...

## Public Member Functions
ClassConstraintInfo | GetConstraint ()
| 型制約の情報を返す。 More...
void | SetVisible ()
| Editor用。 More...
void | ClearVisible ()
| Editor用。 More...
| DataSlotField (DataSlot slot, System.Reflection.FieldInfo fieldInfo)
| DataSlotField constructor More...
bool | IsConnectable (DataSlotField slotField)
| 接続可能か判定する。 More...

## Public Attributes
ClassConstraintInfo | overrideConstraint = null
| 上書きする型制約の情報 More...

## Properties
DataSlot | slot`[get]`
| DataSlot More...
System.Reflection.FieldInfo | fieldInfo`[get]`
| FieldInfo More...
System.Type | connectableType`[get]`
| 接続可能な型 More...
string | connectableTypeName`[get]`
| 接続可能な型名 More...
bool | isVisible`[get]`
| Editor用。 More...

## Detailed Description

DataSlotのField情報

## Constructor & Destructor Documentation

## ◆ DataSlotField()

DataSlotField | ( | DataSlot | slot,
|  | System.Reflection.FieldInfo | fieldInfo
| ) |  |

DataSlotField constructor

Parameters

  slot | DataSlot
  fieldInfo | FieldInfo

## Member Function Documentation

## ◆ ClearVisible()

void ClearVisible | ( |  | ) |

Editor用。

## ◆ GetConstraint()

ClassConstraintInfo GetConstraint | ( |  | ) |

型制約の情報を返す。

Returns
  型制約の情報

## ◆ IsConnectable()

bool IsConnectable | ( | DataSlotField | slotField | ) |

接続可能か判定する。

Parameters

  slotField | 判定するスロット

Returns
  接続可能ならtrue、それ以外はfalseを返す。

## ◆ SetVisible()

void SetVisible | ( |  | ) |

Editor用。

## Member Data Documentation

## ◆ overrideConstraint

ClassConstraintInfo overrideConstraint = null

上書きする型制約の情報

## Property Documentation

## ◆ connectableType

System.Type connectableType
| get

接続可能な型

## ◆ connectableTypeName

string connectableTypeName
| get

接続可能な型名

## ◆ fieldInfo

System.Reflection.FieldInfo fieldInfo
| get

FieldInfo

## ◆ isVisible

bool isVisible
| get

Editor用。

## ◆ slot

DataSlot slot
| get

DataSlot